
# Build on centos7 with CUDA and test on rhel8 and centos7
# gcc 7.3.1
build:centos7_gcc73:
  tags:
    - build
    - vtkm
    - docker
    - linux
    - cuda-rt
    - large-memory
  extends:
    - .centos7
    - .cmake_build_linux
    - .run_automatically
    - .use_minimum_supported_cmake
  variables:
    CMAKE_BUILD_TYPE: RelWithDebInfo
    CMAKE_GENERATOR: "Unix Makefiles"
    VTKM_SETTINGS: "cuda+turing+32bit_ids+no_rendering+shared"

test:centos7_gcc73:
  tags:
    - test
    - vtkm
    - docker
    - linux
    - cuda-rt
    - turing
  extends:
    - .centos7
    - .cmake_test_linux
    - .run_automatically
  dependencies:
    - build:centos7_gcc73
  needs:
    - build:centos7_gcc73

test:rhel8_test_centos7:
  tags:
    - test
    - vtkm
    - docker
    - linux
    - cuda-rt
    - turing
  extends:
    - .rhel8
    - .cmake_test_linux
    - .run_automatically
  variables:
      CTEST_EXCLUSIONS: "built_against_test_install"
  dependencies:
    - build:centos7_gcc73
  needs:
    - build:centos7_gcc73
